Bug 854062 - Review Request: mediawiki119-intersection - Create a list of pages that are listed in a set of categories
Review Request: mediawiki119-intersection - Create a list of pages that are l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 16:10 EDT by Patrick Uiterwijk
Modified: 2012-09-23 14:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 14:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2012-09-03 16:10:11 EDT
Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-intersection/mediawiki119-intersection.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-intersection/mediawiki119-intersection-37906-1.fc17.src.rpm
Fedora Account System Username: puiterwijk
Description: Outputs a bulleted list of most recent items
residing in a category, or an intersection
of several categories.
DynamicPageList is another name for this extension.
Comment 1 Kevin Fenzi 2012-09-03 16:21:44 EDT
Taking for review. Will review later today/tomorrow.
Comment 2 Kevin Fenzi 2012-09-04 14:37:28 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
95c66455c02285b5f271db56479e95a631c0b21aa02b7623ac093ea20c3194fc  intersection-MW1.13-37906.tar.gz
95c66455c02285b5f271db56479e95a631c0b21aa02b7623ac093ea20c3194fc  intersection-MW1.13-37906.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. non blocker: Might ask upstream to include COPYING file and fix fsf address in files. 

2. rpmlint says: 

mediawiki119-intersection.noarch: W: spelling-error %description -l en_US bulleted -> billeted, bullet ed, bullet-ed
mediawiki119-intersection.noarch: W: no-documentation
mediawiki119-intersection.noarch: E: incorrect-fsf-address /usr/share/mediawiki119/extensions/intersection/DynamicPageList.php
mediawiki119-intersection.src: W: spelling-error %description -l en_US bulleted -> billeted, bullet ed, bullet-ed
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

I see no blockers here, so this package is APPROVED.
Comment 3 Patrick Uiterwijk 2012-09-04 15:41:20 EDT
New Package SCM Request
=======================
Package Name: mediawiki119-intersection
Short Description: Create a list of pages that are listed in a set of categories
Owners: puiterwijk
Branches: el5 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-09-04 17:06:39 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-05 09:45:35 EDT
mediawiki119-intersection-37906-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mediawiki119-intersection-37906-2.el6
Comment 6 Fedora Update System 2012-09-05 09:45:45 EDT
mediawiki119-intersection-37906-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mediawiki119-intersection-37906-2.el5
Comment 7 Fedora Update System 2012-09-05 13:28:36 EDT
mediawiki119-intersection-37906-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 8 Patrick Uiterwijk 2012-09-10 17:44:59 EDT
Package Change Request
======================
Package Name: mediawiki119-intersection
New Branches: f18
Owners: puiterwijk

It has been decided to make mediawiki119* available on f18 too.
Comment 9 Gwyn Ciesla 2012-09-10 20:35:38 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-09-23 14:28:16 EDT
mediawiki119-intersection-37906-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.